Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class BoundedCacheConfiguration

    java.lang.Object
      oracle.ifs.common.CacheConfiguration
          oracle.ifs.common.BoundedCacheConfiguration

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class BoundedCacheConfiguration

extends CacheConfiguration

A BoundedCacheConfiguration is a bucket of parameters that govern the operation of an BoundedCache.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`protected int` | `m_Capacity` Target max hashtable capacity; alos used as initial Capacity in hashtable constructor
`protected int` | `m_EmergencyCapacityTrigger` capacity at which an "emergency" purge is performed
`protected int` | `m_NormalCapacityTrigger` capacity at which a "normal" purge is posted
`protected int` | `m_PurgeTarget` Number of items desired in the cache after a purge operation
`protected int` | `m_UrgentCapacityTrigger` capacity at which an "urgent" purge is posted

Fields inherited from class oracle.ifs.common.CacheConfiguration
`m_Name`

Constructor Summary
`BoundedCacheConfiguration()` Constructs a cache configuration.

Method Summary
`int` | `getCapacity()` Gets the nominal capacity of the cache
`int` | `getEmergencyCapacityTrigger()` gets the emergency trigger cache level - when the cache reaches this level of capacity, any cache.put() oepration will immediately perform a purge operation.
`int` | `getNormalCapacityTrigger()` gets the normal trigger cache level - when the cache reaches this level of capacity, an "normal" purge request will be posted.
`int` | `getPurgeTarget()` gets the purge target - i.e.
`int` | `getUrgentCapacityTrigger()` gets the urgent trigger cache level - when the cache reaches this level of capacity, an "urgent" purge request will be posted.
`void` | `setCapacity(int capacity)` Sets the nominal capacity of the cache
`void` | `setEmergencyCapacityTrigger(int emergencyCapacityTrigger)` Sets the emergency trigger cache level - when the cache reaches this level of capacity, any cache.put() oepration will immediately perform a purge operation.
`void` | `setNormalCapacityTrigger(int normalCapacityTrigger)` Sets the normal trigger cache level - when the cache reaches this level of capacity, an "normal" purge request will be posted.
`void` | `setPurgeTarget(int purgeTarget)` Sets the purge target - i.e.
`void` | `setUrgentCapacityTrigger(int urgentCapacityTrigger)` Sets the urgent trigger cache level - when the cache reaches this level of capacity, an "urgent" purge request will be posted.

Methods inherited from class oracle.ifs.common.CacheConfiguration
`clone, getName, setName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Capacity

    protected int m_Capacity

  Description copied from class: `BoundedCacheConfiguration`
  Target max hashtable capacity; alos used as initial Capacity in hashtable constructor

  (Unpublished)

### m_NormalCapacityTrigger

    protected int m_NormalCapacityTrigger

  Description copied from class: `BoundedCacheConfiguration`
  capacity at which a "normal" purge is posted

  (Unpublished)

### m_UrgentCapacityTrigger

    protected int m_UrgentCapacityTrigger

  Description copied from class: `BoundedCacheConfiguration`
  capacity at which an "urgent" purge is posted

  (Unpublished)

### m_EmergencyCapacityTrigger

    protected int m_EmergencyCapacityTrigger

  Description copied from class: `BoundedCacheConfiguration`
  capacity at which an "emergency" purge is performed

  (Unpublished)

### m_PurgeTarget

    protected int m_PurgeTarget

  Description copied from class: `BoundedCacheConfiguration`
  Number of items desired in the cache after a purge operation

  (Unpublished)

Constructor Detail

### BoundedCacheConfiguration

    public BoundedCacheConfiguration()

  Constructs a cache configuration.

  (Unpublished)

Method Detail

### getCapacity

    public final int getCapacity()

  Description copied from class: `BoundedCacheConfiguration`
  Gets the nominal capacity of the cache

  Returns:
    the nominal capacity of the cache
  (Unpublished)

### getNormalCapacityTrigger

    public final int getNormalCapacityTrigger()

  Description copied from class: `BoundedCacheConfiguration`
  gets the normal trigger cache level - when the cache reaches this level of capacity, an "normal" purge request will be posted.

  Returns:
    the normal trigger cache level
  (Unpublished)

### getUrgentCapacityTrigger

    public final int getUrgentCapacityTrigger()

  Description copied from class: `BoundedCacheConfiguration`
  gets the urgent trigger cache level - when the cache reaches this level of capacity, an "urgent" purge request will be posted.

  Returns:
    the urgent trigger cache level
  (Unpublished)

### getEmergencyCapacityTrigger

    public final int getEmergencyCapacityTrigger()

  Description copied from class: `BoundedCacheConfiguration`
  gets the emergency trigger cache level - when the cache reaches this level of capacity, any cache.put() oepration will immediately perform a purge operation.

  Returns:
    the emergency trigger cache level
  (Unpublished)

### getPurgeTarget

    public final int getPurgeTarget()

  Description copied from class: `BoundedCacheConfiguration`
  gets the purge target - i.e. the desired number of items remaining in the cache after a purge operation.

  Returns:
    the purge target
  (Unpublished)

### setCapacity

    public final void setCapacity(int capacity)

  Description copied from class: `BoundedCacheConfiguration`
  Sets the nominal capacity of the cache

  Parameters:
    `capacity` - the nominal capacity of the cache
  (Unpublished)

### setNormalCapacityTrigger

    public final void setNormalCapacityTrigger(int normalCapacityTrigger)

  Description copied from class: `BoundedCacheConfiguration`
  Sets the normal trigger cache level - when the cache reaches this level of capacity, an "normal" purge request will be posted.

  Parameters:
    `normalCapacityTrigger` - the normal trigger cache level
  (Unpublished)

### setUrgentCapacityTrigger

    public final void setUrgentCapacityTrigger(int urgentCapacityTrigger)

  Description copied from class: `BoundedCacheConfiguration`
  Sets the urgent trigger cache level - when the cache reaches this level of capacity, an "urgent" purge request will be posted.

  Parameters:
    `urgentCapacityTrigger` - the urgent trigger cache level
  (Unpublished)

### setEmergencyCapacityTrigger

    public final void setEmergencyCapacityTrigger(int emergencyCapacityTrigger)

  Description copied from class: `BoundedCacheConfiguration`
  Sets the emergency trigger cache level - when the cache reaches this level of capacity, any cache.put() oepration will immediately perform a purge operation.

  Parameters:
    `emergencyCapacityTrigger` - the emergency trigger cache level
  (Unpublished)

### setPurgeTarget

    public final void setPurgeTarget(int purgeTarget)

  Description copied from class: `BoundedCacheConfiguration`
  Sets the purge target - i.e. the desired number of items remaining in the cache after a purge operation.

  Parameters:
    `purgeTarget` - the purge target
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD